eCos Reference Manual
Prev | Chapter 5. Installation and Testing | Next

# MIPS/RM7000 PMC-Sierra Ocelot

## Overview

RedBoot uses the front facing serial port. The default serial port settings are 38400,8,N,1. RedBoot also supports ethernet. Management of onboard flash is also supported.

The following RedBoot configurations are supported:

Configuration | Mode | Description | File
--- | --- | --- | ---
ROM | [ROM] | RedBoot running from the board's flash boot sector. | redboot_ROM.ecm
RAM | [RAM] | RedBoot running from RAM with RedBoot in the flash boot sector. | redboot_RAM.ecm

## Additional commands

The exec command which allows the loading and execution of Linux kernels, is supported for this architecture (see the Section called Executing Programs from RedBoot in Chapter 2). The exec parameters used for MIPS boards are:

-b `<addr>`

  Location to store command line and environment passed to kernel

-w `<time>`

  Wait time in seconds before starting kernel

-c `"params"`

  Parameters passed to kernel

`<addr>`

  Kernel entry point, defaulting to the entry point of the last image loaded

Linux kernels on MIPS platforms expect the entry point to be called with arguments in the registers equivalent to a C call with prototype:

    void Linux(int argc, char **argv, char **envp);

RedBoot will place the appropriate data at the offset specified by the `-b` parameter, or by default at address 0x80080000, and will set the arguments accordingly when calling into the kernel.

The default entry point, if no image with explicit entry point has been loaded and none is specified, is 0x80000750.

## Memory Maps

RedBoot sets up the following memory map on the Ocelot board.

Note that these addresses are accessed through kseg0/1 and thus translate to the actual address range 0x80000000-0xbfffffff, depending on the need for caching/non-caching access to the bus.

> NOTE: The virtual memory maps in this section use a C and B column to indicate whether or not the region is cached (C) or buffered (B).

    Physical Address Range Description
    ----------------------- -----------
    0x00000000 - 0x0fffffff SDRAM
    0x10000000 - 0x10ffffff PCI I/O space
    0x12000000 - 0x13ffffff PCI Memory space
    0x14000000 - 0x1400ffff Galileo system controller
    0x1c000000 - 0x1c0000ff PLD (board logic)
    0x1fc00000 - 0x1fc7ffff flash

## Rebuilding RedBoot

These shell variables provide the platform-specific information needed for building RedBoot according to the procedure described in Chapter 3:

    export TARGET=ocelot
    export ARCH_DIR=mips
    export PLATFORM_DIR=rm7000/ocelot

The names of configuration files are listed above with the description of the associated modes.

Prev | Home | Next
MIPS/MIPS32(CoreLV 4Kc)+MIPS64(CoreLV 5Kc) Malta Board | Up | MIPS/VR4375 NEC DDB-VRC4375